﻿@model IEnumerable<MVCGettingStarted.Models.Ingredient>

@{
    ViewBag.Title = "Ingredients";
}

<br />
<h1>
    Ingredients
    <span class="myrecipes-recipes-add glyphicon glyphicon-plus" aria-hidden="true"></span>
</h1>
<br />
<table class="table table-striped table-hover">
    @foreach (var item in Model)
    {
        <tr class="myrecipes-ingredient-row" style= "background-color: transparent; font-size: x-large; border: 1px solid #ecf0f1;" >
            <td>@item.Name</td>
            <td>@item.Price lei/@item.MeasurementUnit.Shorthand</td>
            <td>
                <a href="@Url.Action("Delete", new { id = item.Uid })" class="myrecipes-recipes-remove">
                    <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
                </a>
            </td>
        </tr>
    }
</table>

<div id="create-ingredient" class="modal fade">
    <div class="modal-dialog">
        <div id="create-ingredient-container" class="modal-content"></div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $('.myrecipes-recipes-add').click(function () {
            var url = "/Ingredients/Create"; // the url to the controller
            $.get(url, function (data) {
                $('#create-ingredient-container').html(data);
                $('#create-ingredient').modal('show');
            });
        });
     });
</script>
